Subject: Re: [PATCH] Use firmware provided index to register a network interface

From: Tim Small <[email-masked]>
Date: Thu, 07 Oct 2010 15:27:00 +0100

On 07/10/10 15:14, [email-masked] wrote:
> Yes, firmware and BIOS tables can be buggy. How about a command line
> parameter 'no_netfwindex', passing which firmware index will not be
> used to derive ethN names ? That would handle the scenario of buggy
> firmware and names will be derived in the now existing way.
>
> I will submit a patch shortly implementing this.
>    

What was the reason for not doing this in user space again?  You stated 
that you got races when doing renames like eth0 -> eth2, but the 
solution looked like renaming into a different name space such as eth0 
-> ethlom2  etc. so that it wouldn't race with the names handed out by 
the kernel?

Tim.